# Uses of Interface
org.apache.lucene.queryparser.surround.query.SimpleTerm.MatchingTermVisitor

Packages that use SimpleTerm.MatchingTermVisitor
Package
Description
org.apache.lucene.queryparser.surround.query
This package contains SrndQuery and its subclasses.

## Uses of SimpleTerm.MatchingTermVisitor in org.apache.lucene.queryparser.surround.query

Methods in org.apache.lucene.queryparser.surround.query with parameters of type SimpleTerm.MatchingTermVisitor
Modifier and Type
Method
Description
`abstract void`
SimpleTerm.`visitMatchingTerms(IndexReader reader, String fieldName, SimpleTerm.MatchingTermVisitor mtv)`
`void`
SrndPrefixQuery.`visitMatchingTerms(IndexReader reader, String fieldName, SimpleTerm.MatchingTermVisitor mtv)`
`void`
SrndTermQuery.`visitMatchingTerms(IndexReader reader, String fieldName, SimpleTerm.MatchingTermVisitor mtv)`
`void`
SrndTruncQuery.`visitMatchingTerms(IndexReader reader, String fieldName, SimpleTerm.MatchingTermVisitor mtv)`